TestActionMessages (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class TestActionMessages

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.action.TestActionMessages

All Implemented Interfaces:
  junit.framework.Test

    public class TestActionMessages

extends junit.framework.TestCase

Unit tests for the `org.apache.struts.action.ActionMessages` class.

Version:
  $Rev: 471754 $ $Date: 2004-10-16 12:09:25 -0400 (Sat, 16 Oct 2004) $

Field Summary
`protected ActionMessages` | `aMsgs`
`protected ActionMessages` | `anMsgs`
`protected ActionMessage` | `msg1`
`protected ActionMessage` | `msg2`
`protected ActionMessage` | `msg3`
`protected ActionMessage` | `msg4`
`protected ActionMessage` | `msg5`

Constructor Summary
`TestActionMessages(String theName)` Defines the testcase name for JUnit.

Method Summary
`static void` | `main(String[] theArgs)` Start the tests.
`void` | `setUp()`
`static junit.framework.Test` | `suite()`
`void` | `tearDown()`
`void` | `testAddMessages()` Tests adding an ActionMessages object to an ActionMessages object.
`void` | `testEmpty()`
`void` | `testGetForAProperty()`
`void` | `testGetWithNoProperty()`
`void` | `testNotEmpty()`
`void` | `testSizeAndEmptyAfterClear()`
`void` | `testSizeWithManyProperties()`
`void` | `testSizeWithOneProperty()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### aMsgs

    protected ActionMessages aMsgs

### anMsgs

    protected ActionMessages anMsgs

### msg1

    protected ActionMessage msg1

### msg2

    protected ActionMessage msg2

### msg3

    protected ActionMessage msg3

### msg4

    protected ActionMessage msg4

### msg5

    protected ActionMessage msg5

Constructor Detail

### TestActionMessages

    public TestActionMessages(String theName)

  Defines the testcase name for JUnit.

  Parameters:
    `theName` - the testcase's name.

Method Detail

### main

    public static void main(String[] theArgs)

  Start the tests.

  Parameters:
    `theArgs` - the arguments. Not used

### suite

    public static junit.framework.Test suite()

  Returns:
    a test suite (`TestSuite`) that includes all methods starting with "test"

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    public void tearDown()

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testEmpty

    public void testEmpty()

### testNotEmpty

    public void testNotEmpty()

### testSizeWithOneProperty

    public void testSizeWithOneProperty()

### testSizeWithManyProperties

    public void testSizeWithManyProperties()

### testSizeAndEmptyAfterClear

    public void testSizeAndEmptyAfterClear()

### testGetWithNoProperty

    public void testGetWithNoProperty()

### testGetForAProperty

    public void testGetForAProperty()

### testAddMessages

    public void testAddMessages()

  Tests adding an ActionMessages object to an ActionMessages object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.